This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 773187 - [glusterfs-3.3.0qa19]: directory entry not present in first subvolume
[glusterfs-3.3.0qa19]: directory entry not present in first subvolume
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
3.3-beta
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: shishir gowda
amainkar
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-11 02:28 EST by Rahul C S
Modified: 2015-12-01 11:45 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0beta
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-01-11 02:28:02 EST
Description of problem:
I created a distributed-replicate volume & created 2 mounts. Removed all performance translators. 
On 1 client started, untarring ltp-testsuite in a loop & on another client started rm -rf of the ltp directory in a loop.

Got directory not empty error during rm which was fine. Stopped all operations & then reset the volume.

Next i tried removing the ltp directory. I got these errors:
rm: cannot remove `ltp-full-20091031/testcases/ballista/': Directory not empty
rm: cannot remove `ltp-full-20091031/testcases/kernel/syscalls': Directory not empty
rm: cannot remove `ltp-full-20091031/testcases/open_posix_testsuite/conformance': Directory not empty
rm: cannot remove `ltp-full-20091031/testcases/network/stress': Directory not empty


Checked the backend:
The first dht subvolume did not have any entries under ltp-full-20091031/testcases/ballista/ but the second subvolume had directories under it.

echo 3 > /proc/sys/vm/drop_caches on the mountpoint & `stat`d from the mountpoint. Found nothing. 

Therefore it keeps telling. directory not empty.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Anand Avati 2012-05-08 21:32:59 EDT
CHANGE: http://review.gluster.com/3202 (cluster/dht: rmdir should succeed last on the hashed subvol) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.